Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.accordodiprogramma.vo.pianipluriennali
Class PianiPluriennaliRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.accordodiprogramma.vo.pianipluriennali.PianiPluriennaliRequest

    public class PianiPluriennaliRequest

extends java.lang.Object

Dati di input del servizio getPianiPluriennali.

Field Summary
`private java.lang.String` | `codAziendaSanitaria` Codice nazionale dell'azienda sanitaria responsabile dell'intervento.
`private java.lang.String` | `dataSottoscrizioneAccordo` Data di sottoscrizione dell'accordo.
`private java.lang.String` | `idIntervento` Identificativo univoco dell'intervento di investimento.
`private java.lang.String` | `numScheda` Numero identificativo della scheda.

Constructor Summary
`PianiPluriennaliRequest()`

Method Summary
`java.lang.String` | `getCodAziendaSanitaria()`
`java.lang.String` | `getDataSottoscrizioneAccordo()`
`java.lang.String` | `getIdIntervento()`
`java.lang.String` | `getNumScheda()`
`void` | `setCodAziendaSanitaria(java.lang.String codAziendaSanitaria)`
`void` | `setDataSottoscrizioneAccordo(java.lang.String dataSottoscrizioneAccordo)`
`void` | `setIdIntervento(java.lang.String idIntervento)`
`void` | `setNumScheda(java.lang.String numScheda)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codAziendaSanitaria

    @Facets(pattern="[0-9]+",
            maxLength=4L)
    @MinOccurs(value=1L)
    private java.lang.String codAziendaSanitaria

  Codice nazionale dell'azienda sanitaria responsabile dell'intervento.

### dataSottoscrizioneAccordo

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=0L)
    private java.lang.String dataSottoscrizioneAccordo

  Data di sottoscrizione dell'accordo.

### idIntervento

    @Facets(pattern="[0-9]*",
            maxLength=9L)
    @MinOccurs(value=0L)
    private java.lang.String idIntervento

  Identificativo univoco dell'intervento di investimento.

### numScheda

    @Facets(pattern="[0-9]*",
            maxLength=4L)
    @MinOccurs(value=0L)
    private java.lang.String numScheda

  Numero identificativo della scheda.

Constructor Detail

### PianiPluriennaliRequest

    public PianiPluriennaliRequest()

Method Detail

### getCodAziendaSanitaria

    public java.lang.String getCodAziendaSanitaria()

### getDataSottoscrizioneAccordo

    public java.lang.String getDataSottoscrizioneAccordo()

### getIdIntervento

    public java.lang.String getIdIntervento()

### getNumScheda

    public java.lang.String getNumScheda()

### setCodAziendaSanitaria

    public void setCodAziendaSanitaria(java.lang.String codAziendaSanitaria)

### setDataSottoscrizioneAccordo

    public void setDataSottoscrizioneAccordo(java.lang.String dataSottoscrizioneAccordo)

### setIdIntervento

    public void setIdIntervento(java.lang.String idIntervento)

### setNumScheda

    public void setNumScheda(java.lang.String numScheda)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD